package com.eactive.eai.rms.bat.manage.rule.interfaceFile;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

@Repository("batInterfaceFileDao")
@SuppressWarnings({"deprecation","unchecked"})
public class BatInterfaceFileDao extends SqlMapClientTemplateDao {

	public int selectListCount(HashMap<String, Object> param) throws Exception {
    	return (Integer)template.queryForObject("BatInterfaceFile.selectListCount", param);
    }	
	
	public List<Map<String, Object>> selectList(HashMap<String, Object> param) throws Exception {
    	return (List<Map<String, Object>>)template.queryForList("BatInterfaceFile.selectList", param);
    }	

	public HashMap<String, Object> selectDetail(HashMap<String, Object> param) throws Exception {
    	return (HashMap<String, Object>)template.queryForObject("BatInterfaceFile.selectDetail", param);
    }
	
	public List<HashMap<String, Object>> selectDetailCombo(HashMap<String, Object> param) throws Exception {
		return (List<HashMap<String, Object>>)template.queryForList("BatInterfaceFile.selectDetailCombo", param);
	}	

    public void insert(HashMap<String, Object> paramMap) throws Exception{
        this.template.insert("BatInterfaceFile.insert", paramMap);
    }      

    public void update(HashMap<String, Object> paramMap) throws Exception{
        this.template.update("BatInterfaceFile.update", paramMap);
    }

    public void delete(HashMap<String, Object> paramMap) throws Exception{
        this.template.delete("BatInterfaceFile.delete", paramMap);
    }
}